<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".ui.utils.UtilsFragment">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:fitsSystemWindows="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="20dp">

                <com.google.android.material.card.MaterialCardView
                    style="@style/Widget.Material3.CardView.Filled"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:cardBackgroundColor="?attr/colorSurfaceContainer">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:padding="16dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="16dp"
                            android:text="App &amp; Data"
                            android:textColor="?attr/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal">

                            <CheckBox
                                android:id="@+id/cb_all"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="ALL" />

                            <CheckBox
                                android:id="@+id/cb_gsf"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="GSF" />

                            <CheckBox
                                android:id="@+id/cb_gms"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="GMS" />

                            <CheckBox
                                android:id="@+id/cb_sms"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="SMS" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_clear"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="Clear" />

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_stop"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="16dp"
                                android:layout_weight="1"
                                android:text="Stop" />
                        </LinearLayout>
                    </LinearLayout>
                </com.google.android.material.card.MaterialCardView>

                <com.google.android.material.card.MaterialCardView
                    style="@style/Widget.Material3.CardView.Filled"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    app:cardBackgroundColor="?attr/colorSurfaceContainer">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:padding="16dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="16dp"
                            android:text="Inject OTP"
                            android:textColor="?attr/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <com.google.android.material.textfield.TextInputLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="OTP">

                            <com.google.android.material.textfield.TextInputEditText
                                android:id="@+id/et_otp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:inputType="number"
                                android:lines="1" />
                        </com.google.android.material.textfield.TextInputLayout>

                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/btn_send"
                            android:layout_width="120dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="16dp"
                            android:text="Send" />
                    </LinearLayout>
                </com.google.android.material.card.MaterialCardView>

                <com.google.android.material.card.MaterialCardView
                    style="@style/Widget.Material3.CardView.Filled"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    app:cardBackgroundColor="?attr/colorSurfaceContainer">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:padding="16dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="16dp"
                            android:text="MISC"
                            android:textColor="?attr/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_clear_conv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Clear Msg" />

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_send_img"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Send Img" />

                        </LinearLayout>


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="16dp"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_start_frida"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Start Frida" />

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_stop_frida"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="8dp"
                                android:text="Stop Frida" />
                        </LinearLayout>

                        <LinearLayout

                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="16dp"
                            android:orientation="horizontal">

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_kill_phone"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Kill Phone" />

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_sync_time"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="8dp"
                                android:text="Sync Time" />
                        </LinearLayout>
                    </LinearLayout>
                </com.google.android.material.card.MaterialCardView>

                <com.google.android.material.card.MaterialCardView
                    style="@style/Widget.Material3.CardView.Filled"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    app:cardBackgroundColor="?attr/colorSurfaceContainer">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:padding="16dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="16dp"
                            android:text="Update"
                            android:textColor="?attr/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_update_modifier"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Modifier" />

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_update_message"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="8dp"
                                android:text="Message" />

                            <com.google.android.material.button.MaterialButton
                                android:id="@+id/btn_update_gms"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="8dp"
                                android:text="GMS" />
                        </LinearLayout>

                        <com.google.android.material.textfield.TextInputLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="16dp"
                            android:hint="APK URL">

                            <com.google.android.material.textfield.TextInputEditText
                                android:id="@+id/et_apk_url"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:lines="1" />
                        </com.google.android.material.textfield.TextInputLayout>

                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/btn_install"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="8dp"
                            android:text="Download &amp; Install" />
                    </LinearLayout>
                </com.google.android.material.card.MaterialCardView>
            </LinearLayout>
        </ScrollView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>